<template>
  <div class="titulo">
    <div class="ruta">
      <v-breadcrumbs :items="breadcrumbs" :large="false">
        <template v-slot:divider>
          <v-icon>mdi-chevron-right</v-icon>
        </template>
      </v-breadcrumbs>
    </div>
    <strong>Asignación de Supervisiones</strong>
    <div class="contSecc">
      <v-row class="justify-center">
        <v-col
          v-for="(card, indexCard) in cards"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
          :offset-lg="indexCard === 0 ? 0 : 0"
        >
          <v-card :to="card.to" :color="card.color" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle justify-center black--text"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="black--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
import router from "@/router";
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "tabla-visor-asignacion",

  data() {
    return {
      cards: null,
      breadcrumbs: [
        {
          text: "Franquicia Asignaciones",
          disabled: false,
          exact: true,
          to: {
            name: "modelo_franquicia_asignaciones_home_asignacion",
          },
        },
        {
          text: "Tipo Asignación",
          disabled: false,
          exact: true,
          to: {
            name: "supervision_mantenimiento_asignaciones",
          },
        },
      ],
    };
  },

  methods: {
    initCards() {
      this.cards = [
        {
          title: "Asignación Masiva",
          src: require("@/assets/img/icoAdjuntar.svg"),
          description:
            "Asignación Masiva de Supervisiones (Mediante un Archivo de Excel)",
          to: {
            name: "supervision_mantenimiento_asignacion_masiva",
            params: {},
          },
          color: "#faf9f9",
        },
        {
          title: "Asignación Manual",
          src: require("@/assets/img/asignar.svg"),
          description: "Asignación Manual de Supervisiones",
          to: {
            name: "supervision-mantenimiento_asignacion-manual",
            params: {},
          },
          color: "#faf9f9",
        },
      ];
    },
  },
  created: function() {
    this.initCards();
  },
};
</script>

<style>
.padding {
  padding-bottom: 25px;
}
</style>
